summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-01-28 07:45:23 +0100
committerHans de Graaff <graaff@gentoo.org>2017-01-28 07:45:23 +0100
commit911bf30972edbec504cae1f325a6e03741013daa (patch)
tree9c5d7dcdf204b98acd0526a37bb99f8dd760ce26
parentdev-ruby/amq-protocol: add 2.1.0 (diff)
downloadgentoo-911bf30972edbec504cae1f325a6e03741013daa.tar.gz
gentoo-911bf30972edbec504cae1f325a6e03741013daa.tar.bz2
gentoo-911bf30972edbec504cae1f325a6e03741013daa.zip
dev-ruby/msgpack: add 1.0.3
Package-Manager: portage-2.3.3
-rw-r--r--dev-ruby/msgpack/Manifest1
-rw-r--r--dev-ruby/msgpack/msgpack-1.0.3.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/msgpack/Manifest b/dev-ruby/msgpack/Manifest
index 2f891a67e97..37292715685 100644
--- a/dev-ruby/msgpack/Manifest
+++ b/dev-ruby/msgpack/Manifest
@@ -1,3 +1,4 @@
DIST msgpack-0.7.6.gem 74752 SHA256 8537beb868cc6e742488c54928961cd79694fa0ef5d10772dd3e3eaf62ccc2ba SHA512 9d30533175118c08f671015a99664e4798c845f63595495933b42f0fa95c160a6708e472da70baeb64537a704dd4768cdc9ab99a19045daabd92555b21f4e389 WHIRLPOOL 879e5b6b3fc6cd82d28cce5c4f91621437b2cfc34caf21bdbad5d1bf48d8f7719c97b7b1f96e5648ddc77cee679911c58711a8804dc30765f1ae3ff7f8e32f94
DIST msgpack-1.0.1.gem 77312 SHA256 b6b2253658ebea78c3933a72b50463414e9cbcd29daf7ebf070a5d7c6bef195f SHA512 6a8edde5ef049a5fc3304200424d263d1d67b2e4e3c49480c17b3377713beb7f6e83e43b8a7b1358bb511671b6a7f77650fd949e9c7c432b6fe4141a40628c32 WHIRLPOOL f5e680c8064be6a492f7de46d967f0d491d0c50704413910fbe890d59f11fbc2bb8a8f35efdff25df3411def388e8adee9e77279eecd42812c829b657c6068b3
DIST msgpack-1.0.2.gem 77312 SHA256 8f9a01d2456276e37f29ceb8b5deaf541f98358db3f8bc96a617011992af62b9 SHA512 e821c7057ee3497c833be522c4baa8133ae029ff582bd9892ab20b8981d26c757d6348e8ae9ea4288ef3d4fccc44c5d7304473a9e4c7475a78727811630ccfe9 WHIRLPOOL 68e6c41d7e07abca71096f27f37693beb0991b54483aa95a1d47589a028403739b08f68f9dad81d29f827f266af1e2d4b341c889079bad2f05ede1cea9701ebe
+DIST msgpack-1.0.3.gem 77312 SHA256 6a0de861d6ef51e9155ddac15a476358fbcc21d64be059b7cc2dea076c130623 SHA512 b76db7f5c91128d19677774c7bf8c914a7e85e374fc0149bf5d0b470729fa01f4fdf173f7397e6f8df32af760a622a405cdc6d268f45b776b172bb39b9f1f4f7 WHIRLPOOL 77ee2a14fbcd1245ee8e515df8756b2d37aa7f89b842b5e67726b72b6cc1e8bec3d91bc223107cb03a7402d1b2ea3328900f5d7c6119363fcca059bf9d4278bc
diff --git a/dev-ruby/msgpack/msgpack-1.0.3.ebuild b/dev-ruby/msgpack/msgpack-1.0.3.ebuild
new file mode 100644
index 00000000000..4deeae21525
--- /dev/null
+++ b/dev-ruby/msgpack/msgpack-1.0.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.rdoc"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Binary-based efficient data interchange format for ruby binding"
+HOMEPAGE="https://msgpack.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86 ~x86-fbsd"
+IUSE="doc"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/I s:^:#:' Rakefile || die
+
+ # Remove jruby-specific specs that are run also for other rubies.
+ rm -rf spec/jruby || die
+
+ sed -i -e '/git ls-files/d' msgpack.gemspec || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext/${PN} extconf.rb || die "Configuration of extension failed."
+
+ # rb_num2int is not inlined on 32 bit arches but also not explicitly
+ # defined, bug 582968
+ sed -i -e 's:-Wl,--no-undefined::' ext/${PN}/Makefile || die
+}
+
+each_ruby_compile() {
+ emake V=1 -Cext/${PN}
+ cp ext/${PN}/msgpack$(get_modname) lib/${PN} || die "Unable to install msgpack library."
+}